Subject: Debugging under SMP problem
From: "Michael V. Nikolaev" <[email-masked]>
To: "Cygwin" <[email-masked]>
Date: Thu, 29 Jun 2000 15:00:13 +0300

Hi,

I have latest Cygwin release installed under Windows NT server 4.0 (SP 6a) with dual Pentium II processors (cygcheck output is attached). When I trying to debug (with latest gdb) any program (just "main(){}") I get the following exception:

Program received signal SIGSEGV, Segmentation fault.
0x77f6ce4c in ?? ()

The executed instruction is "incl 0x10(%eax)" in NTDLL, and eax == 0. It is executed when cygwin
startup code attempts to load advapi.dll. The previous instruction loads eax with 0  from memory location (mov (%esi),%eax). I was trying to debug this program with Borland Turbodebugger (td32) - the result is the same. When being debugged on another, single-processor PC running WinNT WS SP 6a, all is OK, so I guess that this is Cygwin1.dll problem with SMP-platforms.

Any suggestions?

Best regards,
Michael
--
Want to unsubscribe from this list?
Send a message to [email-masked]